"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@checkup/core");
class EslintDisableTaskResult extends core_1.BaseTaskResult {
    constructor() {
        super(...arguments);
        this.actions = [];
    }
    process(data) {
        this.data = data;
        let actionsEvaluator = new core_1.ActionsEvaluator();
        let eslintDisableUsages = this.data.esLintDisables.results.length;
        actionsEvaluator.add({
            name: 'reduce-eslint-disable-usages',
            summary: 'Reduce number of eslint-disable usages',
            details: `${eslintDisableUsages} usages of template-lint-disable`,
            defaultThreshold: 2,
            items: [`Total eslint-disable usages: ${eslintDisableUsages}`],
            input: eslintDisableUsages,
        });
        this.actions = actionsEvaluator.evaluate(this.config);
    }
    toConsole() {
        core_1.ui.log(`eslint-disable Usages Found: ${this.data.esLintDisables.results.length}`);
    }
    toJson() {
        return {
            meta: this.meta,
            result: {
                eslintDisables: this.data.esLintDisables.results,
                fileErrors: this.data.esLintDisables.errors,
            },
        };
    }
}
exports.default = EslintDisableTaskResult;
//# sourceMappingURL=eslint-disable-task-result.js.map