import { BaseTaskResult, TaskResult, ESLintReport, Action } from '@checkup/core';
interface FormattedESLintReport {
    errorCount: number;
    warningCount: number;
    errorList: {
        rule: string;
        failures: string;
    }[];
    warningList: {
        rule: string;
        failures: string;
    }[];
}
export default class EslintSummaryTaskResult extends BaseTaskResult implements TaskResult {
    actions: Action[];
    data: {
        esLintReport: ESLintReport;
        sortedESLintReport: FormattedESLintReport;
    };
    process(data: {
        esLintReport: ESLintReport;
    }): void;
    toConsole(): void;
    toJson(): {
        meta: import("../../../core/lib").TaskMetaData;
        result: {
            esLintReport: import("eslint").CLIEngine.LintReport;
        };
    };
}
export {};
//# sourceMappingURL=eslint-summary-task-result.d.ts.map